ICP Fit Score
List Target Profiles
Returns the Target Profiles (ICPs) you can see: your own, plus any an admin has shared with the account.
Use the returned id values as targetProfileIds on Score Companies by ICP Fit and Score Contacts by ICP Fit. Only active profiles can be used for scoring.
Billing: Free (0 credits).
GET
/
v3
/
icp
/
profiles
List Target Profiles
curl --request GET \
--url https://api.lusha.com/v3/icp/profiles \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/icp/profiles"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/icp/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/icp/profiles")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/icp/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"profiles": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Mid-market SaaS",
"status": "active",
"access": "private",
"canEdit": true,
"isOwner": true,
"createdAt": "2026-09-01T10:00:00.000Z",
"updatedAt": "2026-09-02T10:00:00.000Z"
}
],
"billing": {
"creditsCharged": 0,
"resultsReturned": 1,
"lowBalance": false
}
}Authorizations
Your Lusha API key. You can find this in your Lusha dashboard under API settings.
Include this key in the api_key header for all requests.
Query Parameters
Return only profiles with this status.
Available options:
active, disabled Return only private profiles, or only profiles shared with the account.
Available options:
private, shared Was this page helpful?
⌘I
List Target Profiles
curl --request GET \
--url https://api.lusha.com/v3/icp/profiles \
--header 'api_key: <api-key>'import requests
url = "https://api.lusha.com/v3/icp/profiles"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.lusha.com/v3/icp/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.lusha.com/v3/icp/profiles")
.header("api_key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lusha.com/v3/icp/profiles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"profiles": [
{
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Mid-market SaaS",
"status": "active",
"access": "private",
"canEdit": true,
"isOwner": true,
"createdAt": "2026-09-01T10:00:00.000Z",
"updatedAt": "2026-09-02T10:00:00.000Z"
}
],
"billing": {
"creditsCharged": 0,
"resultsReturned": 1,
"lowBalance": false
}
}